<?php

namespace Wordpress\Plugins\CarDealerPress\Inventory\Api;

class Admin_ajax {

	private $options;
	private $vms;
	private $admin_db;

	function __construct( $options, $vms ) {
		$this->options = $options;
		$this->vms = $vms;
	}

	function additional_dealer_check($manual_id = 0){
		$results = array();
		if( $manual_id ){
			$results = cdp_plugin::$multi_request->manual_dealer_check($manual_id);
		}
		return $results;
	}

	function admin_handle_request(){
		$output = array('id'=>'','content'=>'','key'=>'');
		switch($_REQUEST['fn']){
			case 'refresh_Imports';
				if( isset($_REQUEST['params']['dealer']) && !empty($_REQUEST['params']['dealer']) ){
					$dealer = cdp_plugin::$db_caller->cdp_company_dealer_request($_REQUEST['params']['dealer']);
					$output['content'] = admin_get_custom_dealers($dealer[0]);
				}
				//admin_get_custom_dealers
				break;
			case 'delete_Custom_Import';
				if( isset($_REQUEST['params']['data_id']) && !empty($_REQUEST['params']['data_id']) ){
					//Remove Dealer
					cdp_plugin::$db_caller->delete_custom_import($_REQUEST['params']['data_id']);
				}
				break;
			case 'delete_Dealer';
				if( isset($_REQUEST['params']['dealer']) && !empty($_REQUEST['params']['dealer']) ){
					//Remove Dealer
					cdp_plugin::$db_caller->delete_manual_dealer($_REQUEST['params']['dealer']);
				}
				break;
			case 'manual_dealer_check';
				$check = $this->additional_dealer_check( $_REQUEST['params']['value'] );
				if( isset($check['error']) && !empty($check['error']) ){
					$output['key'] = 'error';
					$output['content'] = $check['error'];
				} else {
					$output['key'] = 'found';
					$output['content'] = $check['found'];
				}
				break;
			case 'saveCDP_Data';
				global $wpdb;
				$table = 'cdp_data';
				$db_flag = 0; // Flag to either insert or update record with 1 = update and 2 = insert.
				//Value check to serialize or not
				if( isset($_REQUEST['params']['value']) && !empty($_REQUEST['params']['value']) && is_array($_REQUEST['params']['value']) ){
					$value = serialize($_REQUEST['params']['value']);
				} else {
					$value = urldecode(stripslashes($_REQUEST['params']['value']));
				}
				// Create Script for insert or update.
				if( in_array($_REQUEST['params']['key'], array('import','dealer')) ){
					if( $_REQUEST['params']['key'] == 'import' &&  (isset($_REQUEST['params']['update']) && !empty($_REQUEST['params']['update']) ) ){
						//Import udpate as data_id is required
						$data = array('data_value'=>$value );
						$where = array('blog_id'=>get_current_blog_id(),'data_key'=>$_REQUEST['params']['key'],'data_id'=>$_REQUEST['params']['update'] );
						$format = array('%s');
						$where_format = array('%d','%s','%d');
						$db_flag = 1;
					} else {
						//Insert new record
						$dealer = isset($_REQUEST['params']['dealer']) && !empty($_REQUEST['params']['dealer'])? $_REQUEST['params']['dealer']: $_REQUEST['params']['value'];
						$data = array('blog_id'=>get_current_blog_id(), 'dealer_id'=>$dealer, 'data_key'=>$_REQUEST['params']['key'], 'data_value'=>$value );
						$format = array('%d','%d','%s','%s');
						$db_flag = 2;
					}
				} else {
					//Default Update
					$data = array('data_value'=>$value );
					$where = array('blog_id'=>get_current_blog_id(),'data_key'=>$_REQUEST['params']['key'] );
					$format = array('%s');
					$where_format = array('%d','%s');
					$db_flag = 1;
					$output['content'] = ucfirst($_REQUEST['params']['key']).' record has been saved.';
				}
				// Special error messages
				if( $_REQUEST['params']['key'] == 'dealer' ){
					$check = $this->additional_dealer_check( $_REQUEST['params']['value'] );
					if( isset($check['error']) && !empty($check['error']) ){
						$output['key'] = 'error';
						$output['content'] = $check['error'];
						$db_flag = 0;
					} else {
						$output['key'] = 'found';
						$output['content'] = $check['found'];
					}
				}
				if( $db_flag == 1 ){ //Update previous record
					$wpdb->update($table, $data, $where, $format, $where_format);
				} else if( $db_flag == 2) {// Insert new record
					$wpdb->insert($table, $data, $format);
					//Extra Inserts
					if( $_REQUEST['params']['key'] == 'dealer' ){
						cdp_plugin::$multi_request->insert_manual_dealer($_REQUEST['params']['value']);
					}
				}

				break;
			case 'runFlush':
				cdp_plugin::flush_rewrite_rules(true);
				$output['id'] = '';
				$output['content'] = 'did it';
				break;
			case 'saveAdminSettings':
				$value = ( isset($_REQUEST['params']['value']) && !empty($_REQUEST['params']['value']) ? is_array($_REQUEST['params']['value']) ? $_REQUEST['params']['value'] : stripslashes($_REQUEST['params']['value']) : '' );
				$this->set_options_value($_REQUEST['params']['path'], $value );
				$this->save_options_ajax();
				if( $_REQUEST['params']['path'] == 'vehicle_management_system/company_information/id'){
					$this->cdp_remove_cookies();
					delete_transient('cdp_company');
					delete_transient('dt_geo_data');
					delete_transient('cdp_dealer_names');
					//$this->set_inventory_cron_job();
					$this->run_inventory_cron_job();
				}
				if( $_REQUEST['params']['path'] == 'vehicle_management_system/color_mapping/enable' ){
					if( $_REQUEST['params']['value'] == 'on'){
						do_action('cdp_update_inventory_color');
					}
				}
				$output['id'] = '';
				$output['content'] = 'saved';
				break;
			case 'dbGetCount':
				$filters = $_REQUEST['params']['filters'];
				$output['id'] = '';
				$output['content'] = cdp_plugin::$db_caller->cdp_admin_sort_count($filters);
				break;
			case 'applySortUpdates':
				$settings = get_option('cardealerpress_settings');
				cdp_plugin::$db_caller->cdp_admin_update_sort($settings['vehicle_management_system']['sort']['data']);
				$output['id'] = '';
				$output['content'] = get_sort_rows($settings['vehicle_management_system']['sort']['data']);
				break;
			case 'getBannerValues':
				$settings = get_option('cardealerpress_settings');
				$output['id'] = '';
				$output['content'] = get_banner_rows($settings['vehicle_management_system']['banners']);
				break;
			case 'getMakes':
				if( $this->vms ){
					$vms_makes = $this->vms->get_makes()->please( array( 'saleclass' => 'New') );
					natcasesort($vms_makes);
					$data_makes = isset($this->options['vehicle_management_system']['data']['makes_new']) ? $this->options['vehicle_management_system']['data']['makes_new'] : array();
					$output['id'] = $_REQUEST['params']['id'];
					$output['content'] = multiple_select_window( 'vehicle_management_system/data/makes_new', $vms_makes, $data_makes, 'new_make_filter');
				} else {
					$output['error'] = 'VMS connection could not be made';
				}
				break;
			case 'getCurrentTheme':
				$output['id'] = $_REQUEST['params']['id'];
				$output['content'] = get_admin_theme_view( $this->options['vehicle_management_system']['theme']);
				break;
			case 'addTableRow':
				switch($_REQUEST['params']['id']){
					case 'emailRows':
						$this->options['vehicle_management_system']['theme']['emails']['dealers'][] = array( 'id'=>'','email'=>'','saleclass'=>0, 'is_adf'=>'N' );
						$this->save_options_ajax();
						$output['id'] = $_REQUEST['params']['id'];
						$output['content'] = get_email_rows( $this->options['vehicle_management_system']['theme']['emails']['dealers'] );
						break;
					case 'formRows':
						$this->options['vehicle_management_system']['theme']['forms'][] = array( 'id'=>'','button'=>'on','title'=>'','saleclass'=>0 );
						$this->save_options_ajax();
						$output['id'] = $_REQUEST['params']['id'];
						$output['content'] = get_form_rows( $this->options['vehicle_management_system']['theme']['forms'] );
						break;
					case 'tagRows':
						$this->options['vehicle_management_system']['tags']['data'][] = array( 'name'=>'','order'=>'','url'=>'','link'=>'' );
						$this->save_options_ajax();
						$output['id'] = $_REQUEST['params']['id'];
						$output['content'] = get_tag_rows( $this->options['vehicle_management_system']['tags']['data'] );
						break;
					case 'scriptRows':
						$this->options['vehicle_management_system']['scripts']['data'][] = array( 'name'=>'','saleclass'=>0,'location'=>0,'url'=>'','page'=>0 );
						$this->save_options_ajax();
						$output['id'] = $_REQUEST['params']['id'];
						$output['content'] = get_script_rows( $this->options['vehicle_management_system']['scripts']['data'] );
						break;
					case 'styleRows':
						$this->options['vehicle_management_system']['styles']['data'][] = array( 'name'=>'','saleclass'=>0,'url'=>'','page'=>0,'override'=>0 );
						$this->save_options_ajax();
						$output['id'] = $_REQUEST['params']['id'];
						$output['content'] = get_style_rows( $this->options['vehicle_management_system']['styles']['data'] );
						break;
					case 'loanRows':
						$this->options['vehicle_management_system']['theme']['loan']['custom'][] = array( 'name'=>'', 'saleclass'=>0, 'interest'=>0, 'trade'=>0, 'down'=>0, 'term'=>0, 'disclaimer'=>'', 'display_text'=>'', 'make'=>'', 'model'=>'', 'trim'=>'', 'year'=>0, 'year_symbol'=>'equal','display_payment'=>'' );
						$this->save_options_ajax();
						$output['id'] = $_REQUEST['params']['id'];
						$output['content'] = get_loan_rows( $this->options['vehicle_management_system']['theme']['loan']['custom'] );
						break;
				}
				break;
			case 'removeTableRow':
				switch($_REQUEST['params']['id']){
					case 'emailRows':
						unset( $this->options['vehicle_management_system']['theme']['emails']['dealers'][ $_REQUEST['params']['value'] ] );
						$this->save_options_ajax();
						$output['id'] = $_REQUEST['params']['id'];
						$output['content'] = get_email_rows( $this->options['vehicle_management_system']['theme']['emails']['dealers'] );
						break;
					case 'formRows':
						unset( $this->options['vehicle_management_system']['theme']['forms'][ $_REQUEST['params']['value'] ] );
						$this->save_options_ajax();
						$output['id'] = $_REQUEST['params']['id'];
						$output['content'] = get_form_rows( $this->options['vehicle_management_system']['theme']['forms'] );
						break;
					case 'tagRows':
						unset( $this->options['vehicle_management_system']['tags']['data'][ $_REQUEST['params']['value'] ] );
						$this->save_options_ajax();
						$output['id'] = $_REQUEST['params']['id'];
						$output['content'] = get_tag_rows( $this->options['vehicle_management_system']['tags']['data'] );
						break;
					case 'sortRows':
						$sort = $this->options['vehicle_management_system']['sort']['data'][ $_REQUEST['params']['value'] ];
						$sort['sort'] = 0; $sortData[] = $sort;
						cdp_plugin::$db_caller->cdp_admin_update_sort($sortData);
						unset( $this->options['vehicle_management_system']['sort']['data'][ $_REQUEST['params']['value'] ] );
						$this->save_options_ajax();
						$output['id'] = $output['content'] = '';
						break;
					case 'bannerRows':
						unset( $this->options['vehicle_management_system']['banners'][ $_REQUEST['params']['value'] ] );
						$this->save_options_ajax();
						$output['id'] = $output['content'] = '';
						break;
					case 'scriptRows':
						unset( $this->options['vehicle_management_system']['scripts']['data'][ $_REQUEST['params']['value'] ] );
						$this->save_options_ajax();
						$output['id'] = $_REQUEST['params']['id'];
						$output['content'] = get_script_rows( $this->options['vehicle_management_system']['scripts']['data'] );
						break;
					case 'styleRows':
						unset( $this->options['vehicle_management_system']['styles']['data'][ $_REQUEST['params']['value'] ] );
						$this->save_options_ajax();
						$output['id'] = $_REQUEST['params']['id'];
						$output['content'] = get_style_rows( $this->options['vehicle_management_system']['styles']['data'] );
						break;
					case 'loanRows':
						unset( $this->options['vehicle_management_system']['theme']['loan']['custom'][ $_REQUEST['params']['value'] ] );
						$this->save_options_ajax();
						$output['id'] = $_REQUEST['params']['id'];
						$output['content'] = get_loan_rows( $this->options['vehicle_management_system']['theme']['loan']['custom'] );
						break;
				}
				break;

			case 'runCleanUninstall':
				$output['id'] = ''; $output['content'] = '';
				delete_option( 'cardealerpress_settings' );
				wp_clear_scheduled_hook('cdp_parallel_call');
				delete_option('cardealerpress_inventory_count');
				do_action('cdp_remove_inventory_tables');
				deactivate_plugins( 'cardealerpress/cardealerpress.php' );
				break;
			case 'generateKeywordPot':
				$keywords_array = array(); $content = $keywords = '';
				$output['id'] = $_REQUEST['params']['id'];

				$keywords_array = $this->get_default_keywords();
				$this->remove_unwanted_keywords($keywords_array);
				$this->append_additonal_keywords($keywords_array);
				if( !empty($keywords_array) ){
					$keywords = implode(',', $keywords_array);
				}

				$this->options[ 'vehicle_management_system' ][ 'keywords' ]['pot'] = $keywords;
				$this->save_options_ajax();

				if( $keywords_array ){
					$content .= '<ul class="keyword-list">';
					foreach($keywords_array as $word){
						$content .= '<li>'.$word.'</li>';
					}
					$content .= '</ul>';
				}

				$output['content'] = $content;
				break;
			default:
				$output['error'] = 'That is not a valid FN parameter. Please check your string and try again.';
				break;
		}

		$output = json_encode($output);
		echo $output;
		wp_die();
	}

	function cdp_remove_cookies(){
		foreach($_COOKIE as $key=>$value){
			if( strpos($key,'vehicleSave') !== FALSE ){
				setcookie($key, $value, time()-3600, '/');
			}
		}
	}

	function run_inventory_cron_job(){
		do_action('cdp_parallel_call_manual');
	}


	function set_options_value( $path, $value){
	    if (!$path)
	        return null;

	    $segments = is_array($path) ? $path : explode('/', $path);
	    $cur =& $this->options;
	    foreach ($segments as $segment) {
			if( strpos($segment, '[]') ){
				$segmentR = str_replace('[]','',$segment);
				$cur =& $cur[$segmentR][];
			} else {
		        if (!isset($cur[$segment]))
		            $cur[$segment] = array();
		        $cur =& $cur[$segment];
			}

	    }
		$cur = $value;
	}

	function save_options_ajax() {
		update_option( 'cardealerpress_settings' , $this->options );
		$this->load_options_ajax();
	}

	function load_options_ajax() {
		$loaded_options = get_option( 'cardealerpress_settings' ) ;
		foreach( $loaded_options as $option_group => $option_values ) {
			$this->options[ $option_group ] = $option_values;
		}
	}

	function flexDefaults(){
		$flex = array();

		// Cobra
		$flex = array(
			'containers' => array(
				'one' => array(
					'order' => 1,
					'max-width' => 590
				),
				'two' => array(
					'order' => 1,
					'max-width' => 590
				),
				'three' => array(
					'order' => 1,
					'max-width' => 590
				),
				'four' => array(
					'order' => 1,
					'max-width' => 590
				),
				'five' => array(
					'order' => 1,
					'max-width' => 590
				),
				'six' => array(
					'order' => 1,
					'max-width' => 590
				)
			)
		);
		return $flex;
	}

	function get_default_keywords(){
		$keyword_request = 'https://api.dealertrend.com/api/companies/' .$this->options['vehicle_management_system']['company_information']['id']. '/vehicles.json';
		$keyword_handler = new http_request( $keyword_request , 'vehicle_keyword' );
		$response = $keyword_handler->get_file();
		$keyword_data = isset($response['body']) ? json_decode($response['body']) : array();

		$keyword_array = array();
		$item_array = array('make','model','trim');
		if( !empty($keyword_data) ){
			foreach($item_array as $item){
				foreach($keyword_data as $data){
					if( !in_array($data->$item, $keyword_array) && !empty($data->$item) ){
						$keyword_array[] = trim($data->$item);
					}
				}
			}
		}
		return $keyword_array;
	}

	function remove_unwanted_keywords(&$keywords){
		if( !empty($keywords) && is_array($keywords) ){
			$exclude_string = !empty($this->options['vehicle_management_system']['keywords']['exclude']) ? $this->options['vehicle_management_system']['keywords']['exclude']: '';
			if( !empty($exclude_string) ){
				$exclude = explode(',',$exclude_string);
				foreach( $keywords as $key => $word ){
					foreach($exclude as $unwanted){
						if($word == $unwanted){
							unset($keywords[$key]);
						}
					}
				}
			}
		}
	}

	function append_additonal_keywords(&$keywords){
		if( !empty($keywords) && is_array($keywords) ){
			$add_string = !empty($this->options['vehicle_management_system']['keywords']['add']) ? $this->options['vehicle_management_system']['keywords']['add']: '';
			if( !empty($add_string) ){
				$add = explode(',',$add_string);
				foreach($add as $new){
					$keywords[] = trim($new);
				}
			}
		}
	}
}
?>
