<?php

namespace Wordpress\Plugins\CarDealerPress\Inventory\Api;

	$vehicle = itemize_vehicle($inventory);
	$price = get_price_display($vehicle['prices'], $this->company, $vehicle['saleclass'], $vehicle['vin'], 'inventory', $theme_settings['price_text'] );
	$vehicle['primary_price'] = $price['primary_price'];
	$parameters['saleclass'] = $vehicle['saleclass'];
	$loan_parameters = array('make'=>$vehicle['make']['name'],'model'=>$vehicle['model']['name'], 'trim'=> $vehicle['trim']['name'], 'year'=>$vehicle['year'], 'saleclass'=>$vehicle['saleclass']);
	apply_gravity_form_hooks( $vehicle );

	$traffic_source = isset( $_COOKIE[ 'cardealerpress-traffic-source' ] ) ? $_COOKIE[ 'cardealerpress-traffic-source' ] : false;
	$traffic_source = $this->sanitize_inputs( $traffic_source );

	usort($vehicle['dealer_options'], 'sort_length' );

	$form_subject = $vehicle['year'] . ' ' . $vehicle['make']['name'] . ' ' . $vehicle['model']['name'] . ' ' . $vehicle['stock_number'];
	$form_submit_url = $this->options[ 'vehicle_management_system' ]['host'] . '/' . $this->options[ 'vehicle_management_system' ][ 'company_information' ][ 'id' ] . '/forms/create/';

?>

<div id="inventory-wrapper">
	<div id="inventory-detail">
		<div id="inventory-top"> <!-- inventory Top -->
			<div class="inventory-breadcrumbs">
			<?php echo display_breadcrumb( $parameters, $this->company, $this->options['vehicle_management_system' ]['custom_contact'], $vehicle['saleclass'] ); ?>
			</div>
			<div id="inventory-top-info">
				<div id="inventory-headline-wrap">
					<div id="inventory-main-headline">
						<h2>
							<span class="inventory-saleclass form-value" name="saleclass" style="display: none;"><?php echo $vehicle['saleclass']; ?></span>
							<span class="inventory-year form-value" name="year"><?php echo $vehicle['year']; ?></span>
							<span class="inventory-make form-value" name="make"><?php echo $vehicle['make']['name']; ?></span>
							<span class="inventory-model form-value" name="model"><?php echo $vehicle['model']['name']; ?></span>
							<span class="inventory-trim form-value" name="trim"><?php echo $vehicle['trim']['name']; ?></span>
							<span class="inventory-drive-train"><?php echo $vehicle['drive_train']; ?></span>
							<span class="inventory-transmission"><?php echo $vehicle['transmission']; ?></span>
							<span class="inventory-body-style"><?php echo $vehicle['body_style']; ?></span>
						</h2>
					</div>
					<div id="inventory-sub-headline">
						<h3>
							<span class="inventory-make-subheadline"><?php echo $vehicle['make']['name']; ?></span>
							<span class="inventory-model-subheadline"><?php echo $vehicle['model']['name']; ?></span>
							<span class="inventory-trim-subheadline"><?php echo $vehicle['trim']['name']; ?></span>
							<span class="inventory-city-subheadline"><?php echo $city; ?></span>,
							<span class="inventory-state-subheadline"><?php echo $state; ?></span>

						</h3>
						<h3>
							<span class="inventory-sh-vehicle-location"><?php echo $vehicle['contact_info']['location']; ?></span>
						</h3>
					</div>
				</div>
				<div id="inventory-top-price">
					<div class="inventory-price">
						<?php
						$price = get_price_display($vehicle['prices'], $this->company, $vehicle['saleclass'], $vehicle['vin'], 'inventory', $theme_settings['price_text'] );
						echo $price['compare_text'].$price['primary_text'].$price['expire_text'].$price['hidden_prices'];

						echo get_loan_value($theme_settings['loan'], $vehicle['primary_price'], $loan_parameters);
						?>

					</div>
					<!--<div id="inventory-get-price">
						<div class="inventory-get-price-button" name="<?php #echo ( !empty($theme_settings['list_info_button']) ) ? $theme_settings['list_info_button'] : 'Get Your ePrice'; ?>"><?php #echo ( !empty($theme_settings['list_info_button']) ) ? $theme_settings['list_info_button'] : 'GET YOUR ePrice'; ?></div>
					</div>-->
					<?php
						if( $theme_settings[ 'display_tags' ] ){
							apply_special_tags( $vehicle['tags'], $vehicle['prices']['on_sale'], $vehicle['certified'], $vehicle['video']);
							if( !empty( $vehicle['tags'] ) ){
								echo '<div class="inventory-detail-tags">';
									$tag_icons = build_tag_icons( $default_tag_names, $custom_tag_icons, $vehicle['tags'], $vehicle['vin']);
									echo $tag_icons;
								echo '</div>';
							}
						}
					?>
				</div>
				<?php
					if( $vehicle['headline'] ){
						echo '<div id="inventory-custom-headline">'.$vehicle['headline'].'</div>';
					}
				?>
			</div>
		</div>
		<div id="inventory-content"> <!-- inventory Content -->
			<div id="inventory-content-top"> <!-- inventory Content Top -->
				<div id="inventory-content-headline">
					<span class="inventory-content-year"><?php echo $vehicle['year']; ?></span>
					<span class="inventory-content-make"><?php echo $vehicle['make']['name']; ?></span>
					<span class="inventory-content-model"><?php echo $vehicle['model']['name']; ?></span>
					<span class="inventory-text">Photos:</span>
					<a id="friendly-print" onclick="window.open('?print_page','popup','width=800,height=900,scrollbars=yes,resizable=no,toolbar=no,directories=no,location=no,menubar=yes,status=no,left=0,top=0'); return false">Print</a>
				</div>
			</div>
			<div id="inventory-content-center"> <!-- inventory Content Center -->
				<div id="inventory-content-detail-left"> <!-- inventory Content Detail Left -->
					<div id="inventory-image-wrapper"> <!-- inventory Image Wrapper -->
						<?php
							$image_tab = isset($theme_settings['default_image_tab']) ? $theme_settings['default_image_tab'] : '';
							echo get_photo_detail_display( $vehicle, $image_tab, '', $this->options['vehicle_management_system']['ssl_image_path'] );
						?>
					</div>
					<div id="inventory-vehicle-information"> <!-- inventory Vehicle Information -->
						<div class="inventory-vehicle-info-divider">
							<h4 class="inventory-divider-headline">
								<span class="inventory-info-year"><?php echo $vehicle['year']; ?></span>
								<span class="inventory-info-make"><?php echo $vehicle['make']['name']; ?></span>
								<span class="inventory-info-model"><?php echo $vehicle['model']['name']; ?></span>
								<span class="inventory-divider-text">Vehicle Details:</span>
							</h4>
							<div class="inventory-divider-content">
								<div id="inventory-stock-vin-wrapper">
									<span class="inventory-text-bold">Stock #:</span><span id="" class="inventory-stock-number inventory-text-space form-value" name="stock_number"><?php echo $vehicle['stock_number']; ?></span>
									<span class="inventory-text-bold">Vin #:</span><span id="" class="inventory-vin inventory-text-space form-value" name="vin"><?php echo $vehicle['vin']; ?></span>
								</div>
								<div id="inventory-vehicle-details-wrapper">
									<div id="inventory-vehicle-detail-left">
										<?php
											$vehicle_info = '';

											if ( !empty( $vehicle['saleclass'] ) ) {
												$vehicle_info .= '<div class="inventory-vehicle-overview-wrap vehicle-saleclass">';
												$vehicle_info .= '<div class="inventory-vehicle-overview-left">Condition:</div>';
												$vehicle_info .= '<div class="inventory-vehicle-overview-right vehicle-saleclass-value">'.$vehicle['saleclass'].'</div>';
												$vehicle_info .= '</div>';

											}

											if ( $vehicle['certified'] == 'true') {
												$vehicle_info .= '<div class="inventory-vehicle-overview-wrap vehicle-certified">';
												$vehicle_info .= '<div class="inventory-vehicle-overview-left">Certified:</div>';
												$vehicle_info .= '<div class="inventory-vehicle-overview-right vehicle-certified-value">Yes</div>';
												$vehicle_info .= '</div>';

											}

											if ( !empty( $vehicle['odometer'] ) ) {
												$vehicle_info .= '<div class="inventory-vehicle-overview-wrap vehicle-odometer">';
												$vehicle_info .= '<div class="inventory-vehicle-overview-left">Odometer:</div>';
												$vehicle_info .= '<div class="inventory-vehicle-overview-right vehicle-odometer-value">' . $vehicle['odometer'] . '</div>';
												$vehicle_info .= '</div>';
											}

											if ( !empty( $vehicle['engine'] ) ) {
												$vehicle_info .= '<div class="inventory-vehicle-overview-wrap vehicle-engine">';
												$vehicle_info .= '<div class="inventory-vehicle-overview-left">Engine:</div>';
												$vehicle_info .= '<div class="inventory-vehicle-overview-right vehicle-engine-value">' . $vehicle['engine'] . '</div>';
												$vehicle_info .= '</div>';
											}

											if ( !empty( $vehicle['fuel_type'] ) ) {
												$vehicle_info .= '<div class="inventory-vehicle-overview-wrap">';
												$vehicle_info .= '<div class="inventory-vehicle-overview-left">Fuel Type:</div>';
												$vehicle_info .= '<div class="inventory-vehicle-overview-right vehicle-fuel-type-value">' . $vehicle['fuel_type'] . '</div>';
												$vehicle_info .= '</div>';
											}

											if ( !empty( $vehicle['transmission'] ) ) {
												$vehicle_info .= '<div class="inventory-vehicle-overview-wrap vehicle-transmission">';
												$vehicle_info .= '<div class="inventory-vehicle-overview-left">Transmission:</div>';
												$vehicle_info .= '<div class="inventory-vehicle-overview-right vehicle-transmission-value">' . $vehicle['transmission'] . '</div>';
												$vehicle_info .= '</div>';
											}

											if ( !empty( $vehicle['drive_train'] ) ) {
												$vehicle_info .= '<div class="inventory-vehicle-overview-wrap vehicle-drivetrain">';
												$vehicle_info .= '<div class="inventory-vehicle-overview-left">Drivetrain:</div>';
												$vehicle_info .= '<div class="inventory-vehicle-overview-right vehicle-drivetrain-value">' . $vehicle['drive_train'] . '</div>';
												$vehicle_info .= '</div>';
											}

											if ( !empty( $vehicle['exterior_color'] ) ) {
												$vehicle_info .= '<div class="inventory-vehicle-overview-wrap vehicle-exterior">';
												$vehicle_info .= '<div class="inventory-vehicle-overview-left">Exterior Color:</div>';
												$vehicle_info .= '<div class="inventory-vehicle-overview-right vehicle-exterior-value">' . $vehicle['exterior_color'] . '</div>';
												$vehicle_info .= '</div>';
											}

											if ( !empty( $vehicle['interior_color'] ) ) {
												$vehicle_info .= '<div class="inventory-vehicle-overview-wrap vehicle-interior">';
												$vehicle_info .= '<div class="inventory-vehicle-overview-left">Interior color:</div>';
												$vehicle_info .= '<div class="inventory-vehicle-overview-right vehicle-interior-value">' . $vehicle['interior_color'] . '</div>';
												$vehicle_info .= '</div>';
											}

											if ( !empty( $vehicle['carfax']) && strtolower($vehicle['saleclass']) == 'used') {
												$vehicle_info .= cdp_display_carfax($vehicle['vin'], $vehicle['carfax'], $vehicle['carfax_image_url'] );
											}

											echo $vehicle_info;

											if( $vehicle['autocheck'] ){
												echo display_autocheck_image( $vehicle['vin'], $vehicle['saleclass'], $type );
											}

										?>
									</div>
									<div id="inventory-vehicle-detail-right">
										<?php
											$fuel_text = '<div id="inventory-fuel-headline">Fuel Economy:</div>';
											$fuel_text .= '<div id="inventory-fuel-economy">';
											$fuel_text .= get_fuel_economy_display( $vehicle['fuel_economy'], $country_code, 0 );
											$fuel_text .= '</div>';
											echo $fuel_text;
										?>
									</div>
								</div>
							</div>
						</div>

						<div class="inventory-vehicle-info-divider" id="inventory-content-description-wrapper">
							<?php
								if( $vehicle['description'] ){
									echo '<h4 class="inventory-divider-headline"><span class="inventory-divider-text">Vehicle Comments:</span></h4>';
									echo '<div class="inventory-divider-content"><div id="inventory-content-description"><p>'.$vehicle['description'].'</p></div></div>';
								}
							?>
						</div>

						<div class="inventory-vehicle-info-divider" id="inventory-content-features-wrapper">
							<?php
								if( !empty($vehicle['dealer_options']) ){
									echo '<h4 class="inventory-divider-headline"><span class="inventory-divider-text collapse-toggle" name="dealer_options">Vehicle Specifications and Features:</span></h4>';
									echo '<div class="inventory-divider-content collapse-divider dealer_options">';
									$inventory_value = '<div id="inventory-content-features"><ul>';
									sort($vehicle['dealer_options']);
									foreach( $vehicle['dealer_options'] as $option ) {
										$inventory_value .= '<li>' . $option . '</li>';
									}
									$inventory_value .= '</ul></div></div>';
									echo $inventory_value;
								}
							?>
						</div>

						<?php
							if( isset($vehicle['standard_equipment']) && !is_Empty_check($vehicle['standard_equipment']) && $theme_settings['show_standard_eq'] ){
						?>
							<div class="inventory-vehicle-info-divider" id="inventory-content-equipment-wrapper">
								<h4 class="inventory-divider-headline"><span class="inventory-divider-text collapse-toggle" name="standard_equipment">Vehicle Standard Equipment:</span></h4>
								<div class="inventory-divider-content collapse-divider standard_equipment"> <?php echo display_equipment( $vehicle['standard_equipment'] ); ?></div>
							</div>
						<?php
							}
						?>
					</div>
				</div>

				<div id="inventory-content-detail-right"> <!-- inventory Content Detail Right -->
					<div id="inventory-contact-information">
						<?php
							$contact_info_value = '<div id="inventory-contact-name">' . get_dealer_contact_name( $vehicle['contact_info'], $this->options['vehicle_management_system' ]['custom_contact'], $vehicle['saleclass'] ) . '</div>';
							$contact_info_value .= '<div id="inventory-contact-vehicle-location">' . $vehicle['contact_info']['location'] . '</div>';
							$phone = get_dealer_contact_number( $vehicle['contact_info'], $this->options['vehicle_management_system' ]['custom_contact'], $vehicle['saleclass'] );
							$contact_info_value .= '<div id="inventory-contact-phone"><a href="tel:'.$phone.'">'.$phone.'</a></div>';
							$contact_info_value .= '<div id="inventory-contact-message">' . $vehicle['contact_info']['greeting'] . '</div>';
							echo $contact_info_value;
						?>

					</div>
					<div class="inventory-content-sidebar-wrapper">
						<?php
							if( function_exists('gravity_form') && !empty($theme_settings['detail_gform_id']) ){
								$form = '<div class="inventory-forms">';
								$form .= '<div class="form-wrapper"><div id="info-form-id-'.$theme_settings['detail_gform_id'].'" class="inventory-form form-display-wrap form-'.$theme_settings['detail_gform_id'].'" name="form-id-'.$theme_settings['detail_gform_id'].'">';
								$form .= do_shortcode('[gravityform id='.$theme_settings['detail_gform_id'].' title=true description=false]');
								$form .= '</div></div></div>';
								echo $form;
							}
						?>
						<?php
							echo get_loan_calculator($theme_settings['loan'], $vehicle['primary_price'], TRUE, $loan_parameters);

							// GForm Buttons
							if( function_exists('gravity_form') && isset($theme_settings['forms']) ){
								echo get_gform_button_display( $theme_settings['forms'], $vehicle['saleclass'] );
							}

							//inventory Similar Vehicles
							if( $theme_settings['display_similar'] ){
								echo '<div id="detail-similar-wrapper">';
								echo get_similar_vehicles( $this->vms, $vehicle['vin'], $vehicle['saleclass'], $vehicle['vehicle_class'], $price['primary_price'], $vehicle['make']['name'], $this->options['vehicle_management_system' ]['data']['makes_new'], array( 'city' => $city, 'state' => $state) );
								echo '</div>';
							}
						?>
					</div>
				</div>
			</div>
			<div id="inventory-content-bottom"> <!-- inventory Content Bottom -->
			</div>
		</div>
		<div id="inventory-bottom"> <!-- inventory Bottom -->
			<div id="inventory-disclaimer">
				<?php
					//echo !empty( $inventory ) ? '<p>' . $inventory[ 0 ]->disclaimer . '</p>' : NULL;
					echo urldecode(stripslashes(get_db_disclaimer()));
				?>
			</div>
			<?php echo cdp_hidden_vehicle_data($vehicle); ?>
		</div>

		<?php
			if ( is_active_sidebar( 'vehicle-detail-page' ) ) :
				echo '<div id="inventory-widget-area" class="sidebar">';
					dynamic_sidebar( 'vehicle-detail-page' );
				echo '</div>';
			endif;
		?>

	</div>
</div>
